package intrinsic.flash.filters;

public class ConvolutionFilter extends intrinsic.flash.filters.BitmapFilter {

	/** Accessors */
	public double matrixY;
	public double divisor;
	public boolean clamp;
	public intrinsic.Array matrix;
	public boolean preserveAlpha;
	public int color;
	public double alpha;
	public double matrixX;
	public double bias;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ConvolutionFilter() {
}

public ConvolutionFilter(Object arg0) {
}

public ConvolutionFilter(Object arg0, Object arg1) {
}

public ConvolutionFilter(Object arg0, Object arg1, Object arg2) {
}

public ConvolutionFilter(Object arg0, Object arg1, Object arg2, Object arg3) {
}

public ConvolutionFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
}

public ConvolutionFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5) {
}

public ConvolutionFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6) {
}

public ConvolutionFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7) {
}

public ConvolutionFilter(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7, Object arg8) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
